### Method

# ICalGLib Recurrence resize_by_array

since: 4.0

#### Declaration [src]

    void
    i_cal_recurrence_resize_by_array (
      ICalRecurrence* recur,
      ICalRecurrenceByRule byrule,
      guint size
    )

#### Description [src]

Resizes the ‘by’ array to the given size.

Available since: 4.0

#### Parameters

`byrule`

  Type: `ICalRecurrenceByRule`

  The ‘by’ part to use.

`size`

  Type: `guint`

  The new size of the ‘by’ array.